/*
 * Mesa 3-D graphics library
 * Version:  3.0
 * Copyright (C) 1995-1998  Brian Paul
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef GLU_MANGLE_H
#define GLU_MANGLE_H


#define gluLookAt sgluLookAt
#define gluOrtho2D sgluOrtho2D
#define gluPerspective sgluPerspective
#define gluPickMatrix sgluPickMatrix
#define gluProject sgluProject
#define gluUnProject sgluUnProject
#define gluErrorString sgluErrorString
#define gluScaleImage sgluScaleImage
#define gluBuild1DMipmaps sgluBuild1DMipmaps
#define gluBuild2DMipmaps sgluBuild2DMipmaps
#define gluNewQuadric sgluNewQuadric
#define gluDeleteQuadric sgluDeleteQuadric
#define gluQuadricDrawStyle sgluQuadricDrawStyle
#define gluQuadricOrientation sgluQuadricOrientation
#define gluQuadricNormals sgluQuadricNormals
#define gluQuadricTexture sgluQuadricTexture
#define gluQuadricCallback sgluQuadricCallback
#define gluCylinder sgluCylinder
#define gluSphere sgluSphere
#define gluDisk sgluDisk
#define gluPartialDisk sgluPartialDisk
#define gluNewNurbsRenderer sgluNewNurbsRenderer
#define gluDeleteNurbsRenderer sgluDeleteNurbsRenderer
#define gluLoadSamplingMatrices sgluLoadSamplingMatrices
#define gluNurbsProperty sgluNurbsProperty
#define gluGetNurbsProperty sgluGetNurbsProperty
#define gluBeginCurve sgluBeginCurve
#define gluEndCurve sgluEndCurve
#define gluNurbsCurve sgluNurbsCurve
#define gluBeginSurface sgluBeginSurface
#define gluEndSurface sgluEndSurface
#define gluNurbsSurface sgluNurbsSurface
#define gluBeginTrim sgluBeginTrim
#define gluEndTrim sgluEndTrim
#define gluPwlCurve sgluPwlCurve
#define gluNurbsCallback sgluNurbsCallback
#define gluNewTess sgluNewTess
#define gluDeleteTess sgluDeleteTess
#define gluTessBeginPolygon sgluTessBeginPolygon
#define gluTessBeginContour sgluTessBeginContour
#define gluTessVertex sgluTessVertex
#define gluTessEndPolygon sgluTessEndPolygon
#define gluTessEndContour sgluTessEndContour
#define gluTessProperty sgluTessProperty
#define gluTessNormal sgluTessNormal
#define gluTessCallback sgluTessCallback
#define gluGetTessProperty sgluGetTessProperty
#define gluBeginPolygon sgluBeginPolygon
#define gluNextContour sgluNextContour
#define gluEndPolygon sgluEndPolygon
#define gluGetString sgluGetString
#define gluBuild1DMipmapLevels sgluBuild1DMipmapLevels
#define gluBuild2DMipmapLevels sgluBuild2DMipmapLevels
#define gluBuild3DMipmapLevels sgluBuild3DMipmapLevels
#define gluBuild3DMipmaps sgluBuild3DMipmaps
#define gluCheckExtension sgluCheckExtension
#define gluUnProject4 sgluUnProject4
#define gluNurbsCallbackData sgluNurbsCallbackData
#define gluNurbsCallbackDataEXT sgluNurbsCallbackDataEXT

#endif
